---
date: 2018-02-15T00:00:00+00:00
title: Netlify
author: internetmat
tags: [ deploy, netlify ]
repo: internetmat/drone-netlify
logo: netlify.svg
image: internetmat/drone-netlify
---

The netlify plugin deploy your build to [netlify.com](https://netlify.com).

The below pipeline configuration demonstrates the configuration for the plugin.

```yaml
pipeline:
  netlify:
    image: internetmat/drone-netlify
    settings:
      token:
        from_secret: netlify_token
      site:
        from_secret: netlify_site_id
      # override deploy alias, defaults to git SHA
      alias: mybuild
      path: /site/
      prod: true
```
